//
// Created by songchao.chen on 2019/6/26.
// 公告牌显示
//

#ifndef WORKSPACE_BULLETIN_BROAD_SHOW_H
#define WORKSPACE_BULLETIN_BROAD_SHOW_H

#include <string>

struct config_file;
struct bulletin_broad_show
{
private:
    bulletin_broad_show();
public:
    bulletin_broad_show(const bulletin_broad_show&)=delete;
    bulletin_broad_show & operator=(const bulletin_broad_show&)=delete;
    static bulletin_broad_show *inst();

    void OnInit(config_file * config);
    //公告牌显示
    void run_bulletin_board();
private:
    void CreateDirectoryEx(const std::string & sPathName );
    void set_bulletin_board_path(std::string & path);

    //公告牌显示--当前井下人数: 100 人
    uint32_t m_lastshow_bulletin_time = 0;
    //公告牌显示-时间间隔
    uint32_t m_bulletin_board_time = 0 ;
    // 公告牌显示内容文件的目录
    std::string m_bulletin_board_path = "";
    // 公告牌显示内容文件名
    std::string m_bulletin_board_file_name = "";
};


#endif //WORKSPACE_BULLETIN_BROAD_SHOW_H
