#ifndef __LOC_MESSAGE__HPP
#define __LOC_MESSAGE__HPP
#include "ant.h"
struct loc_message
{
    std::shared_ptr<site> m_sit;
    uint64_t m_num_ticks; //tof时间片m_tof或tdoa相对root时间
    uint64_t m_loc_time;
    uint32_t m_card_id;
    int32_t	 m_card_ct;
    int8_t   m_card_type;
    int8_t   m_ant_id;
    int16_t  m_rav;
    int16_t  m_acc;
    uint16_t m_sync_ct;
    uint16_t m_rssi;
	uint16_t m_batstatus;

	loc_message()
	 :m_num_ticks(0)
	{
	}
	int tool_index()const
	{
		return m_sit->index();
	}

    loc_message(std::shared_ptr<site> s,uint64_t num_ticks,uint64_t timestamp,
                uint32_t cardid,int32_t ct,int8_t type,int8_t antid,
                int16_t rav,int16_t acc,uint16_t sync_ct,uint16_t rssi,uint16_t batstatus)
        :m_sit(s)
        ,m_num_ticks(num_ticks)
        ,m_loc_time(timestamp)
        ,m_card_id(cardid)
        ,m_card_ct(ct)
        ,m_card_type(type)
        ,m_ant_id(antid)
        ,m_rav(rav)
        ,m_acc(acc)
        ,m_sync_ct(sync_ct)
        ,m_rssi(rssi)
		,m_batstatus(batstatus)
    {}
};

#endif
